XMLErrorLogger (Solr 3.6.2 API)
Keywords: org.apache.solr.common.util.XMLErrorLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.util
Class XMLErrorLogger

    java.lang.Object
      org.apache.solr.common.util.XMLErrorLogger

All Implemented Interfaces:
  javax.xml.stream.XMLReporter, ErrorListener, ErrorHandler

    public final class XMLErrorLogger

extends Object
implements ErrorHandler, ErrorListener, javax.xml.stream.XMLReporter

Constructor Summary
`XMLErrorLogger(org.slf4j.Logger log)`

Method Summary
`void` | `error(SAXParseException e)`
`void` | `error(TransformerException e)`
`void` | `fatalError(SAXParseException e)`
`void` | `fatalError(TransformerException e)`
`void` | `report(String message, String errorType, Object relatedInformation, javax.xml.stream.Location loc)`
`void` | `warning(SAXParseException e)`
`void` | `warning(TransformerException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLErrorLogger

    public XMLErrorLogger(org.slf4j.Logger log)

Method Detail

### warning

    public void warning(SAXParseException e)

  Specified by:
    `warning` in interface `ErrorHandler`

### error

    public void error(SAXParseException e)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

### warning

    public void warning(TransformerException e)

  Specified by:
    `warning` in interface `ErrorListener`

### error

    public void error(TransformerException e)
               throws TransformerException

  Specified by:
    `error` in interface `ErrorListener`
  Throws:
    `TransformerException`

### fatalError

    public void fatalError(TransformerException e)
                    throws TransformerException

  Specified by:
    `fatalError` in interface `ErrorListener`
  Throws:
    `TransformerException`

### report

    public void report(String message,
                       String errorType,
                       Object relatedInformation,
                       javax.xml.stream.Location loc)

  Specified by:
    `report` in interface `javax.xml.stream.XMLReporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD